<?php
dl('hpdf.so');
if ($argc != 5) {
	die("uso: creapdf_protegido [nombre-pdf] [mensaje] [password1] [password2]\n");
}
$fname = $argv[1] . ".pdf";
$text = $argv[2];
$ownerpass = $argv[3];
$userpass = $argv[4];

$pdf = new HPDF();
$font = $pdf->GetFont("Helvetica");
$page = $pdf->AddPage();
$page->SetSize(HPDFPage::SIZE_B5, HPDFPage::LANDSCAPE);
$page->BeginText();
$page->SetFontAndSize($font, 20);
$tw = $page->TextWidth($text);
$page->MoveTextPos(($page->GetWidth() - $tw) / 2, ($page->GetHeight() - 20) / 2);
$page->ShowText($text);
$page->EndText();
$pdf->SetPassword($ownerpass, $userpass);
$pdf->SaveToFile($fname);
?>
